Bug 1117302 - [RFE] Collect data for VMs "vm_disk_actual_size_mb" including snapshots and change currect column name
Summary: [RFE] Collect data for VMs "vm_disk_actual_size_mb" including snapshots and c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Shirly Radco
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1169105
TreeView+ depends on / blocked
 
Reported: 2014-07-08 13:13 UTC by Shirly Radco
Modified: 2016-03-09 21:21 UTC (History)
8 users (show)

Fixed In Version: OVIRT 3.6.0-1 first release
Doc Type: Release Note
Doc Text:
Previously, the field "vm_disk_actual_size_mb", in "dwh_vm_disks_history_view", was the virtual machine disk size for the current snapshot of the virtual machine. It was decided that this information is irrelevant for collecting to the ovirt-engine-history database and what should be collected is the total disk size that the virtual machine is using, including all snapshots. From Red Hat Enterprise Virtualization 3.6 this field will show the Total virtual machine disk size. Previous collected data will be kept even though it is inaccurate.
Clone Of:
: 1169105 (view as bug list)
Environment:
Last Closed: 2016-03-09 21:21:45 UTC
oVirt Team: Infra
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0404 normal SHIPPED_LIVE rhevm-dwh bug fix and enhancement update 2016-03-10 01:29:45 UTC
oVirt gerrit 37798 None None None Never

Description Shirly Radco 2014-07-08 13:13:41 UTC
Description of problem:

Correctly we collect only active stat statistics for vm devices from the dwh_vm_disks_history_view of the engine db.

This view filters data regarding snapshots and templates.

This data , for example "vm_disk_actual_size_mb" , is important if we want to know the total actual used disk size for the vm for that time.

Comment 5 Shirly Radco 2015-01-13 14:28:20 UTC
I think that the data we collected in "vm_disk_actual_size_mb" is not really relevant and we should update it to include snapshots and not add another column.

It is only one snapshot out of maybe several. If we dont have snapshots for the vm then this number will correct but if we do then keeping only the size of the current snapshot is meaningless.
Do you agree?

Comment 6 Yaniv Lavi 2015-01-18 12:26:26 UTC
(In reply to Shirly Radco from comment #5)
> I think that the data we collected in "vm_disk_actual_size_mb" is not really
> relevant and we should update it to include snapshots and not add another
> column.
> 
> It is only one snapshot out of maybe several. If we dont have snapshots for
> the vm then this number will correct but if we do then keeping only the size
> of the current snapshot is meaningless.
> Do you agree?

I agree. change the value from now on and resync the data, if it's not in a history table.

Comment 7 Petr Matyáš 2015-04-30 11:09:18 UTC
Could you please provide Fixed in version/Build ID?
Also, for verification is enough to check engine db dwh_vm_disks_history_view before and after snapshot creation if there is a difference in vm_disk_actual_size_mb?

Comment 8 Shirly Radco 2015-04-30 12:09:05 UTC
In order to test you will need an env with vms that have snapshots and see that the calculated value of the field is the sum of all snapshots and not only the size of the "Current" snapshot.

Comment 10 errata-xmlrpc 2016-03-09 21:21:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0404.html


Note You need to log in before you can comment on or make changes to this bug.